---
title: Get details of a schema
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Schema Validation](https://developers.cloudflare.com/api/python/resources/schema_validation)

[Schemas](https://developers.cloudflare.com/api/python/resources/schema_validation/subresources/schemas)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get details of a schema

schema\_validation.schemas.get(strschema\_id, SchemaGetParams\*\*kwargs) -> [PublicSchema](<https://developers.cloudflare.com/api/python/resources/schema_validation#(resource)%20schema_validation.schemas%20%3E%20(model)%20public_schema%20%3E%20(schema)>)

GET/zones/{zone\_id}/schema\_validation/schemas/{schema\_id}

Gets the contents and metadata of a specific OpenAPI schema uploaded to API Security.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Account API Gateway``Account API Gateway Read``Domain API Gateway``Domain API Gateway Read`

##### ParametersExpand Collapse

zone\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20schema_validation.schemas%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20zone_id%20%3E%20(schema)>)

schema\_id: str

UUID.

maxLength36

[Link to this property](<#(resource)%20schema_validation.schemas%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20schema_id%20%3E%20(schema)>)

omit\_source: Optional\[[bool](<https://developers.cloudflare.com/api/python/resources/schema_validation/subresources/schemas/methods/get#(resource)%20schema_validation.schemas%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20omit_source%20%3E%20(schema)>)]

Omit the source-files of schemas and only retrieve their meta-data.

[Link to this property](<#(resource)%20schema_validation.schemas%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20omit_source%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class PublicSchema: …

A schema used in schema validation

</summary>

created\_at: datetime

formatdate-time

<a href="#(resource)%20schema_validation.schemas%20%3E%20(model)%20public_schema%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

kind: Literal\["openapi\_v3"]

The kind of the schema

<a href="#(resource)%20schema_validation.schemas%20%3E%20(model)%20public_schema%20%3E%20(schema)%20%3E%20(property)%20kind">Link to this property</a>

name: str

A human-readable name for the schema

<a href="#(resource)%20schema_validation.schemas%20%3E%20(model)%20public_schema%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

schema\_id: str

A unique identifier of this schema

maxLength36

minLength36

formatuuid

<a href="#(resource)%20schema_validation.schemas%20%3E%20(model)%20public_schema%20%3E%20(schema)%20%3E%20(property)%20schema_id">Link to this property</a>

source: str

The raw schema, e.g., the OpenAPI schema, either as JSON or YAML

<a href="#(resource)%20schema_validation.schemas%20%3E%20(model)%20public_schema%20%3E%20(schema)%20%3E%20(property)%20source">Link to this property</a>

validation\_enabled: Optional\[bool]

An indicator if this schema is enabled

<a href="#(resource)%20schema_validation.schemas%20%3E%20(model)%20public_schema%20%3E%20(schema)%20%3E%20(property)%20validation_enabled">Link to this property</a>

</details>

[Link to this property](<#(resource)%20schema_validation.schemas%20%3E%20(model)%20public_schema%20%3E%20(schema)>)

### Get details of a schema

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
public_schema = client.schema_validation.schemas.get(
    schema_id="f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(public_schema.schema_id)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "created_at": "2014-01-01T05:20:00.12345Z",
    "kind": "openapi_v3",
    "name": "petstore schema",
    "schema_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "source": "<schema file contents>",
    "validation_enabled": true
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "created_at": "2014-01-01T05:20:00.12345Z",
    "kind": "openapi_v3",
    "name": "petstore schema",
    "schema_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "source": "<schema file contents>",
    "validation_enabled": true
  },
  "success": true
}
```